Subscribe

OPM Installation error - ocf-server package is not installed properly

[ Edited ]

I've attached the output below hoping someone has seen this before.

 

WARNING: Found existing config file /usr/my.cnf on the system.
Because this file might be in use, it was not replaced,
but was used in bootstrap (unless you used --defaults-file)
and when you later start the server.
The new default config file was created as /usr/my-new.cnf,
please compare it with your file and take the changes you need.

  Installing : ocie-server-1.3.0-2015.08.1013.x86_64                                                                                                                                                                                                                      6/12
  Installing : ocie-au-1.3.0-2015.08.1013.x86_64                                                                                                                                                                                                                          7/12
  Installing : libdbi-0.8.3-4.el6.x86_64                                                                                                                                                                                                                                  8/12
  Installing : perl-rrdtool-1.4.7-1.el6.rfx.x86_64                                                                                                                                                                                                                        9/12
  Installing : rrdtool-1.4.7-1.el6.rfx.x86_64                                                                                                                                                                                                                            10/12
  Installing : 1:ocf-server-1.3.0-2015.08.J2031.x86_64                                                                                                                                                                                                                   11/12
Non-fatal POSTIN scriptlet failure in rpm package 1:ocf-server-1.3.0-2015.08.J2031.x86_64
Creating ocf and ocf_view schemas...
Configuring OCF...
Setting up ocf privileges for jboss user
ln: creating symbolic link `/opmuser/.bash_profile': No such file or directory
Error occurred.  Printing log contents below.
Jan 08 17:58:11:  Fresh install of  ocf-server ....
Jan 08 17:58:11:  Checking for RRDtool
Jan 08 17:58:12:  rrdtool version=1.4.7
Jan 08 17:58:12:  Required rrdtool version 1.4.7 installed
Jan 08 17:58:12:  Checking for 7zip
Jan 08 17:58:12:  7za version=9.20
Jan 08 17:58:12:  Required 7za version 9.20 installed
ocie-au-1.3.0-2015.08.1013.x86_64
maintenance:x:500:
uid=500(umadmin) gid=500(maintenance) groups=500(maintenance)
Jan 08 17:58:12:  Verifying if the user is already part of maintenance group.
Jan 08 17:58:12:  umadmin is already added into maintenance group
Starting MySQL...[  OK  ]
Jan 08 17:58:28:  Executing post-install in Fresh-install
Finished creating ocf and ocf_view schemas
Finished granting permissions to jboss user for ocf schemas
Jan 08 17:58:28:  support directory doesn't exits. Creating sym link of /support to /jail/support
Jan 08 17:58:28:  link for /bin/rbash does not exist. Created link for /bin/rbash
#includedir /etc/sudoers-netapp
Jan 08 17:58:28:  /etc/sudoers-netapp is already added in /etc/sudoers
warning: %post(ocf-server-1:1.3.0-2015.08.J2031.x86_64) scriptlet failed, exit status 1
Error in PREIN scriptlet in rpm package netapp-opm-2.0.1.2015.11.23-1.x86_64


FAILURE: ocf-server package is not installed properly. Install ocf-server package and try again.
         Installer will exit now.


error: %pre(netapp-opm-2.0.1.2015.11.23-1.x86_64) scriptlet failed, exit status 255
error:   install: %pre scriptlet failed (2), skipping netapp-opm-2.0.1.2015.11.23-1
  Verifying  : libdbi-0.8.3-4.el6.x86_64                                                                                                                                                                                                                                  1/12
  Verifying  : perl-rrdtool-1.4.7-1.el6.rfx.x86_64                                                                                                                                                                                                                        2/12
  Verifying  : MySQL-client-5.6.26-1.el6.x86_64                                                                                                                                                                                                                           3/12
  Verifying  : ocie-au-1.3.0-2015.08.1013.x86_64                                                                                                                                                                                                                          4/12
  Verifying  : ocie-serverbase-1.3.0-2015.08.1013.x86_64                                                                                                                                                                                                                  5/12
  Verifying  : 1:ocf-server-1.3.0-2015.08.J2031.x86_64                                                                                                                                                                                                                    6/12
  Verifying  : xorg-x11-fonts-Type1-7.2-11.el6.noarch                                                                                                                                                                                                                     7/12
  Verifying  : rrdtool-1.4.7-1.el6.rfx.x86_64                                                                                                                                                                                                                             8/12
  Verifying  : MySQL-server-5.6.26-1.el6.x86_64                                                                                                                                                                                                                           9/12
  Verifying  : p7zip-9.20.1-2.el6.x86_64                                                                                                                                                                                                                                 10/12
  Verifying  : ocie-server-1.3.0-2015.08.1013.x86_64                                                                                                                                                                                                                     11/12
  Verifying  : netapp-opm-2.0.1.2015.11.23-1.x86_64                                                                                                                                                                                                                      12/12

Installed:
  MySQL-client.x86_64 0:5.6.26-1.el6       MySQL-server.x86_64 0:5.6.26-1.el6       ocf-server.x86_64 1:1.3.0-2015.08.J2031       ocie-au.x86_64 0:1.3.0-2015.08.1013       ocie-server.x86_64 0:1.3.0-2015.08.1013       ocie-serverbase.x86_64 0:1.3.0-2015.08.1013

Dependency Installed:
  libdbi.x86_64 0:0.8.3-4.el6                     p7zip.x86_64 0:9.20.1-2.el6                     perl-rrdtool.x86_64 0:1.4.7-1.el6.rfx                     rrdtool.x86_64 0:1.4.7-1.el6.rfx                     xorg-x11-fonts-Type1.noarch 0:7.2-11.el6

Failed:
  netapp-opm.x86_64 0:2.0.1.2015.11.23-1

Complete!

Re: OPM Installation error - ocf-server package is not installed properly

I'm having this issue as well, anybody manage to resolve?

Re: OPM Installation error - ocf-server package is not installed properly

What OPM version are you installing?